| OpenGL-2.4.0.1: A binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.GL.Fog

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Description
This module corresponds to section 3.10 (Fog) of the OpenGL 2.1 specs.
Documentation

fog :: StateVar Capability | Source

data FogMode | Source

Constructors

Linear GLfloat GLfloat |
Exp GLfloat |
Exp2 GLfloat |

Instances

Eq FogMode
Ord FogMode
Show FogMode

fogMode :: StateVar FogMode | Source

fogColor :: StateVar (Color4 GLclampf) | Source

fogIndex :: StateVar (Index1 GLint) | Source

data FogCoordSrc | Source

Constructors

FogCoord |
FragmentDepth |

Instances

Eq FogCoordSrc
Ord FogCoordSrc
Show FogCoordSrc

fogCoordSrc :: StateVar FogCoordSrc | Source

data FogDistanceMode | Source

Constructors

EyeRadial |
EyePlaneSigned |
EyePlaneAbsolute |

Instances

Eq FogDistanceMode
Ord FogDistanceMode
Show FogDistanceMode

fogDistanceMode :: StateVar FogDistanceMode | Source

Produced by Haddock version 2.4.2